/*
To change this license header, choose License Headers in Project Properties.
To change this template file, choose Tools | Templates
and open the template in the editor.
*/
/* 
    Created on : Mar 5, 2021, 3:47:50 PM
    Author     : abo ahmed
*/

section{
    background-color: #000;
}
.slidshow{
    width: 100%;
    height: 100vh;
    position: relative;
    overflow: hidden;
}
.slidshow-item{
    width: inherit;
    height: inherit;
    position: absolute;
    opacity: 0;
   animation: cycleImages 31s infinite;
   
}

.slidshow-item img{
    width: 100%;
    height: 100%;
    object-fit: cover;
     animation: zoom 31s infinite;  
}
.slidshow-item:nth-child(1),
.slidshow-item:nth-child(1) img{
    animation-delay: 0s;
}
.slidshow-item:nth-child(2),
.slidshow-item:nth-child(2) img{
    animation-delay: 10s;
}
.slidshow-item:nth-child(3),
.slidshow-item:nth-child(3) img{
    animation-delay: 20s;
}
.slidshow-item:nth-child(4),
.slidshow-item:nth-child(4) img{
    animation-delay: 30s;
}
.slidshow-item:nth-child(5),
.slidshow-item:nth-child(5) img{
    animation-delay: 40s;
}
.slidshow-item-text{
    max-width: 100%;
    position: absolute;
    top: 50%;
    right: 0;
   text-align: right;
    transform: translate(-10%);
    background-color: rgba(0,0,0,.0);
    color: #FFF;
    padding: 5rem 5rem;
}
.slidshow-item-text h5{
    font-size: 3rem;
    margin-bottom: 2.5rem;
    font-weight: 600;
}
.slidshow-item-text p{
    font-size: 1.5rem;
    font-weight: 600;
   
   }
   
 @keyframes cycleImages {
     25%{
           opacity: 1;
       }
    40%{
         opacity: 0;  
       }
   }
   @keyframes zoom {
       100%{
           transform: scale(1.3); 
       }
   }
@media screen and (max-width: 1000px) {
 .slidshow-item-text{
    max-width: 70%;
    padding: 3rem 1rem;
}
.slidshow-item-text h5{
    font-size: 2rem;
}
}
@media screen and (max-width: 767px) {
 .slidshow-item-text{
    max-width: 100%;
    padding: 2rem;
    top: initial;
    bottom: 0;
    transform: translate(0%);
}
.slidshow-item-text h5{
    font-size: 2rem;
}
.slidshow-item-text p{
    font-size: 1rem;
   
   }
}